#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0xa8bd9cc3, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x63f8b146, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x319fc9f4, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xe6449084, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x1dcc67e9, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x7d13373d, "");
SYMBOL_CRC(dfl_driver_unregister, 0xe43aece5, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xbca2826d, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x485c3834, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x2260c1e4, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x974eae9a, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xe9261f62, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0xe9268b81, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x58476dbc, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x0512fff4, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0xccabd3aa, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xa39e2b8a, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x63cd6221, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0xfdbbc9be, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0xc9a7a7ff, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x12996aaa, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xe2a77d86, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0x483eec55, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xd621c91b, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x8d4e9b67, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x7e4aea5f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7622cd2f, "try_module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x92448ee, "module_put" },
	{ 0x7c046752, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb683e27e, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x750dbf99, "cdev_init" },
	{ 0x95f34cbb, "cdev_add" },
	{ 0x89a074ad, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf0baa61d, "get_device" },
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0xcfd4feee, "put_device" },
	{ 0x54d2d740, "devm_kfree" },
	{ 0x5ec8fff, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe0d8d584, "__devm_request_region" },
	{ 0xbeb8ef3b, "devm_ioremap" },
	{ 0x7d944bba, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x104b46e8, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd5d5c019, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x414b858, "device_unregister" },
	{ 0xcdd044a, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x2296bce5, "device_initialize" },
	{ 0x366ab52a, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4139da0, "device_add" },
	{ 0x8aabeefe, "__dynamic_dev_dbg" },
	{ 0x2ae809c6, "platform_device_del" },
	{ 0xeeed393e, "platform_device_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7639de83, "platform_device_put" },
	{ 0xea710d78, "device_for_each_child" },
	{ 0x55c810d6, "fpga_region_unregister" },
	{ 0x74075eb, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb2e02a93, "_dev_warn" },
	{ 0x593b67f4, "_dev_info" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff9e1387, "devm_ioremap_resource" },
	{ 0x6abba4db, "fpga_region_register" },
	{ 0x4d2861d0, "devm_iounmap" },
	{ 0xbda5b4f7, "__devm_release_region" },
	{ 0xb3c3de9a, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "9A3F8476C3FFC9470016272");
