#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d0bfaf0, "iscsi_create_endpoint" },
	{ 0xa61becd8, "ib_dereg_mr_user" },
	{ 0xc121c5ed, "iscsi_suspend_queue" },
	{ 0x7c51f179, "iscsi_eh_cmd_timed_out" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x7e2f0577, "kmem_cache_create" },
	{ 0xd591d8f0, "ib_query_qp" },
	{ 0x88414045, "iscsi_conn_failure" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xea2a07b2, "iscsi_complete_pdu" },
	{ 0xaafbce8, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x94894af2, "dev_driver_string" },
	{ 0x636a4ae9, "iscsi_prep_data_out_pdu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c67be8f, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x82f67510, "iscsi_eh_device_reset" },
	{ 0x8ebea34e, "iscsi_register_transport" },
	{ 0x1b41c873, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8164ca78, "__rdma_create_kernel_id" },
	{ 0x1a512d3a, "ib_register_event_handler" },
	{ 0x9b030fd, "kmem_cache_alloc" },
	{ 0xf919f8bf, "rdma_resolve_route" },
	{ 0x7ee05388, "ib_unregister_event_handler" },
	{ 0x6e351713, "iscsi_set_param" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x657dfab3, "rdma_create_qp" },
	{ 0x35277fd0, "ib_map_mr_sg" },
	{ 0xee8439e3, "ib_alloc_mr_integrity" },
	{ 0xb9c519e6, "init_net" },
	{ 0xb2ca539, "ib_cq_pool_put" },
	{ 0x9243c255, "iscsi_destroy_endpoint" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x547d9e1, "kmem_cache_free" },
	{ 0x23216a8b, "iscsi_conn_get_param" },
	{ 0x7de224ea, "iscsi_host_free" },
	{ 0xf4a73a84, "iscsi_put_task" },
	{ 0x9dbbc4fd, "iscsi_conn_teardown" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xffb4d74d, "iscsi_host_set_param" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4686180, "iscsi_session_get_param" },
	{ 0x438ed194, "iscsi_conn_send_pdu" },
	{ 0x6722f24d, "rdma_destroy_qp" },
	{ 0x6baf6dc, "ib_check_mr_status" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x346be3b2, "iscsi_conn_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x53963357, "iscsi_conn_unbind" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xefc1224a, "dma_sync_single_for_cpu" },
	{ 0x5c89b6d8, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcb325fc5, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcccc02ba, "ib_cq_pool_get" },
	{ 0xa2337676, "rdma_connect_locked" },
	{ 0x2416646, "iscsi_itt_to_ctask" },
	{ 0x1d130bbe, "iscsi_lookup_endpoint" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x626b8d42, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf813fc93, "iscsi_host_add" },
	{ 0xb33f3ca0, "ib_dma_virt_map_sg" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0x78b0ce3f, "rdma_destroy_id" },
	{ 0x2cfcfa8b, "iscsi_session_teardown" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x91034302, "iscsi_unregister_transport" },
	{ 0xdd110c88, "iscsi_eh_recover_target" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa51bb929, "iscsi_conn_stop" },
	{ 0x353d98aa, "iscsi_queuecommand" },
	{ 0xb3bbf01a, "ib_drain_qp" },
	{ 0x88c82ac5, "ib_dealloc_pd_user" },
	{ 0x7ce49611, "dma_unmap_sg_attrs" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0x55edf4de, "iscsi_host_remove" },
	{ 0xf20a7f4c, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0xc98ea110, "kmem_cache_destroy" },
	{ 0xaf2b8221, "dma_map_sg_attrs" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbdf9cbcb, "iscsi_conn_setup" },
	{ 0xe0b053eb, "iscsi_session_recovery_timedout" },
	{ 0xcd9d899a, "rdma_reject_msg" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc72d8493, "iscsi_put_endpoint" },
	{ 0x8f36782c, "iscsi_target_alloc" },
	{ 0xe247f8fc, "iscsi_conn_bind" },
	{ 0x5bca9d1f, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x946dc214, "iscsi_host_get_param" },
	{ 0x232cc8f7, "dma_unmap_page_attrs" },
	{ 0xa724221a, "iscsi_session_setup" },
	{ 0xe5504546, "rdma_resolve_addr" },
	{ 0x129e528d, "dma_sync_single_for_device" },
	{ 0xf1b78f6a, "ib_map_mr_sg_pi" },
	{ 0xf6079410, "param_set_uint" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c1810a2, "iscsi_eh_abort" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,ib_core,libiscsi,rdma_cm,scsi_mod");


MODULE_INFO(srcversion, "A5CE640984986BAA0EB2117");
