#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0xd857e899, "");
SYMBOL_CRC(ocelot_mact_forget, 0xdf87ba6a, "");
SYMBOL_CRC(ocelot_mact_lookup, 0xd52a85d8, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0x18bfd386, "");
SYMBOL_CRC(ocelot_pll5_init, 0x703d42fd, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xdf6aa731, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0xe42eee83, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x6cf675a2, "");
SYMBOL_CRC(ocelot_vlan_add, 0x0a617a11, "");
SYMBOL_CRC(ocelot_vlan_del, 0x55032fe1, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x0df2256f, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xe93a0a09, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0x3b8da5f5, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x9cd5674d, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x457a6325, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x569e9d9f, "");
SYMBOL_CRC(ocelot_can_inject, 0x546a1320, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x2c394964, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xcabb537f, "");
SYMBOL_CRC(ocelot_fdb_add, 0x532c54d4, "");
SYMBOL_CRC(ocelot_fdb_del, 0x76903b5e, "");
SYMBOL_CRC(ocelot_mact_flush, 0x31677081, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xe108ad27, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xcf9f42e7, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x0a626e97, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x45be9b7a, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0xfe39e0d9, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0xc4156ffc, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x23869f42, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0xd2f4455d, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x31decae1, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x7a9eb7bf, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x535cfde6, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x3d7dff88, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0xcefded7b, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x0b3f19a4, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x59278e39, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x713a33b0, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x02d80e9b, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x90ea4567, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x86b0d4fc, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x9449c7c7, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x71aa208c, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0xd65f80d5, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x00e521a6, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x721bc86a, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xefca4e9c, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x516623f9, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x988228d8, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x5fb0782f, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0xd84108fb, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x366ba623, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x4818035a, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xf729ef0e, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x7396fffb, "");
SYMBOL_CRC(ocelot_reset, 0x43935cdf, "");
SYMBOL_CRC(ocelot_init, 0xa91dea7b, "");
SYMBOL_CRC(ocelot_deinit, 0x51145b84, "");
SYMBOL_CRC(ocelot_deinit_port, 0xb5ddb5ae, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x0ec74f8d, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x4aa5ca73, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xd4543268, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0xc2cf03b7, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0xa64f9cf0, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x9431d195, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x9cf32f74, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x76f6c3a2, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x56c644fc, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x6466b5a0, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0xdec6aa76, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x611dae0c, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x364dada8, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0xa7053eff, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x0d5b16ad, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x1cb6592b, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x985264be, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0xedd8944f, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x000c9b74, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x9df3ff0b, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0xca68c36f, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x415d25ff, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xe73d3706, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x47e302ca, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x98563a08, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x8725fa04, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0xb339c98f, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x2d32bbca, "");
SYMBOL_CRC(ocelot_port_policer_add, 0xa20f48ca, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x4cd2d3fa, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x090a73e7, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x06698d7f, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x8b538b68, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x6cde565e, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xb12d93c7, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x572dfcdf, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x72f23112, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x80c65382, "");
SYMBOL_CRC(ocelot_get_ts_info, 0xb849387b, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x8c6da5bf, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0x795137fa, "");
SYMBOL_CRC(ocelot_init_timestamp, 0xc2b88cca, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x5ae2bb5d, "");
SYMBOL_CRC(ocelot_get_strings, 0x98e65a8c, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xd12ad933, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x83b111e6, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xb20a29b2, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xf7f45090, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0xde4fd187, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0xabdb5d1b, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x7b7678b2, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x91ed7e86, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x72eff691, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x5687ca13, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x19bf7a62, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x601b035c, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x07708b53, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xe0d26fe4, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x3e4d9927, "");
SYMBOL_CRC(ocelot_mrp_del, 0xc9206832, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x8580ce1d, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x913b3272, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xabb8f16c, "flow_rule_match_ipv4_addrs" },
	{ 0xb59dd5b0, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8aabeefe, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf17eb240, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c8852, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0xcd468f25, "skb_queue_purge_reason" },
	{ 0x44b75537, "ptp_find_pin" },
	{ 0xa59ab183, "eth_type_trans" },
	{ 0x52344394, "ethtool_aggregate_pause_stats" },
	{ 0x22740acf, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe1f1226d, "regmap_fields_read" },
	{ 0x857cf241, "skb_queue_tail" },
	{ 0x8a663622, "regmap_field_read" },
	{ 0xf34c6004, "devm_regmap_field_alloc" },
	{ 0x238cbfde, "ptp_classify_raw" },
	{ 0xd6849ea2, "flow_rule_match_basic" },
	{ 0x1b7b1a53, "__dev_get_by_index" },
	{ 0x54d2d740, "devm_kfree" },
	{ 0x7d944bba, "_dev_err" },
	{ 0x923a79ab, "ptp_clock_register" },
	{ 0x7cfe0c41, "netif_set_real_num_tx_queues" },
	{ 0x888315c9, "kfree_skb_reason" },
	{ 0x7a48a217, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x6f169115, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xb2e02a93, "_dev_warn" },
	{ 0x7e601b04, "flow_rule_match_ports" },
	{ 0xe1b65f9e, "__devm_regmap_init_mmio_clk" },
	{ 0xac608e1f, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc39f82bb, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3815c61, "ptp_clock_unregister" },
	{ 0x378af034, "__netdev_alloc_skb" },
	{ 0xc1ac315e, "of_phy_get" },
	{ 0x9f224736, "phy_set_mode_ext" },
	{ 0x96e9f689, "netdev_reset_tc" },
	{ 0x9c0334a8, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xff9e1387, "devm_ioremap_resource" },
	{ 0x7bd40e93, "ethtool_aggregate_rmon_stats" },
	{ 0xe9420313, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8988b056, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcb7af2d9, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf6623284, "netdev_set_num_tc" },
	{ 0xef643c5d, "regmap_update_bits_base" },
	{ 0xd693cf33, "dev_err_probe" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xd65ffc51, "dev_kfree_skb_any_reason" },
	{ 0x2182ea7c, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa9aca09f, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0xe3e8ec70, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbda80979, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0x752c0f1a, "skb_put" },
	{ 0x2f540fc3, "skb_tstamp_tx" },
	{ 0xd0586804, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd4df20a1, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x760c41ab, "regmap_fields_update_bits_base" },
	{ 0xc951fe6, "flow_rule_match_eth_addrs" },
	{ 0xbfe837f4, "ptp_clock_index" },
	{ 0x47054308, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "709ECF9881BFDAC3C82EC4D");
