#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x51d996c8, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x3f232ca1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x21e8791c, "xdp_return_frame_rx_napi" },
	{ 0x8b07b8e0, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x2c4702b7, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1e0ddcc4, "sock_init_data_uid" },
	{ 0x9650de50, "sk_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x8f3e8e10, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x25dce732, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2f540fc3, "skb_tstamp_tx" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xed8edd45, "skb_copy_ubufs" },
	{ 0xd198ff81, "__skb_get_hash_symmetric" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x66a897fa, "___pskb_trim" },
	{ 0xcd468f25, "skb_queue_purge_reason" },
	{ 0xf92cab59, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7e57dd97, "xdp_rxq_info_unreg" },
	{ 0x1c11d14d, "__netif_napi_del" },
	{ 0x92448ee, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0x7cfe0c41, "netif_set_real_num_tx_queues" },
	{ 0xa5a4164c, "netif_set_real_num_rx_queues" },
	{ 0xcde2c983, "unregister_netdevice_queue" },
	{ 0x501ed157, "netdev_state_change" },
	{ 0x1b66a880, "build_skb" },
	{ 0x752c0f1a, "skb_put" },
	{ 0xbbab7a24, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbe7db0d1, "_copy_to_iter" },
	{ 0xe83cfd10, "iov_iter_advance" },
	{ 0xbd464471, "skb_copy_datagram_iter" },
	{ 0x3eeb7a61, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf17eb240, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc6eb12a7, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x91642e96, "__skb_flow_dissect" },
	{ 0x24d21415, "skb_partial_csum_set" },
	{ 0x9aaff93a, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x47cfbd20, "xdp_rxq_info_is_reg" },
	{ 0xdab9e5e7, "lock_sock_nested" },
	{ 0xecada3e4, "sk_attach_filter" },
	{ 0x327e79f, "release_sock" },
	{ 0xedf7eb20, "__xdp_rxq_info_reg" },
	{ 0x1b0d154, "xdp_rxq_info_reg_mem_model" },
	{ 0xcfb5d6f3, "netif_napi_add_weight" },
	{ 0x6fedf0ca, "napi_enable" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2d018a3d, "ns_capable" },
	{ 0xc1f1886d, "get_net_ns" },
	{ 0xc2018b8, "open_related_ns" },
	{ 0x34193c6, "__dev_get_by_name" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x5f0dbc3f, "make_kgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xb6c12fff, "alloc_netdev_mqs" },
	{ 0xcc851c4, "ip_tunnel_header_ops" },
	{ 0x77c688b2, "register_netdevice" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb30825d2, "sk_detach_filter" },
	{ 0xe401a944, "dev_get_mac_address" },
	{ 0xaf281a74, "dev_set_mac_address_user" },
	{ 0xac76c1fe, "netdev_update_features" },
	{ 0x439ac4bd, "make_kuid" },
	{ 0x817ee46c, "init_user_ns" },
	{ 0x223f1711, "from_kuid" },
	{ 0x8edb340, "netif_tx_wake_queue" },
	{ 0x41382dae, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x758e47b7, "dev_addr_mod" },
	{ 0x4ae0211c, "call_netdevice_notifiers" },
	{ 0xac6e784a, "free_netdev" },
	{ 0x10277a38, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x408c0e43, "from_kgid" },
	{ 0x438abc3d, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x82f2bdec, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cccec55, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe076e46e, "__folio_put" },
	{ 0x3029de32, "__put_devmap_managed_page_refs" },
	{ 0xbeca76af, "_copy_from_iter" },
	{ 0xaa496e60, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x868c3bf0, "sock_alloc_send_pskb" },
	{ 0x77b667d, "zerocopy_sg_from_iter" },
	{ 0xa59ab183, "eth_type_trans" },
	{ 0x547c51f8, "skb_copy_datagram_from_iter" },
	{ 0x3741486c, "do_xdp_generic" },
	{ 0x8a67d672, "iov_iter_revert" },
	{ 0x6c6964ad, "netif_receive_skb" },
	{ 0xb941d20e, "skb_push" },
	{ 0x77719ff5, "eth_get_headlen" },
	{ 0xf5fc4106, "napi_schedule_prep" },
	{ 0xf16dcbe6, "napi_gro_frags" },
	{ 0x6b52a0af, "napi_get_frags" },
	{ 0x98ccc9, "iov_iter_single_seg_count" },
	{ 0xb8b58b87, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa083a147, "__napi_schedule" },
	{ 0x83eef22f, "__page_frag_cache_drain" },
	{ 0x2e0b5019, "passthru_features_check" },
	{ 0xe5b7ec38, "eth_mac_addr" },
	{ 0x5f308af4, "eth_validate_addr" },
	{ 0xb2262513, "ethtool_op_get_link" },
	{ 0x99302e9f, "ethtool_op_get_ts_info" },
	{ 0x57794bdc, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x454f71e7, "fasync_helper" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0xd33b2bd9, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6c85fe7, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe94fb8a7, "netif_carrier_on" },
	{ 0xd796b675, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd5a43273, "nla_put" },
	{ 0x5df358c4, "from_kgid_munged" },
	{ 0x5cfd98e0, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5ef8dd8f, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa21057ae, "netif_tx_stop_all_queues" },
	{ 0x75d22c56, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6f2c7a29, "bpf_prog_get_type_dev" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x92997ed8, "_printk" },
	{ 0x7dfcb6d6, "rtnl_link_register" },
	{ 0xf12e2209, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe39439c7, "misc_deregister" },
	{ 0xb79b1a80, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa80bba9d, "xdp_return_frame" },
	{ 0x888315c9, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x3b1dbced, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbe2d2340, "net_hotdata" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x4ee252d5, "napi_gro_receive" },
	{ 0x49d510fc, "napi_complete_done" },
	{ 0x6f2298a2, "bpf_prog_put" },
	{ 0x86a7e9f5, "netdev_core_stats_inc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x951a0191, "xdp_do_redirect" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9b141b83, "bpf_warn_invalid_xdp_action" },
	{ 0xa4ef586b, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53EA1B7BA89C7C4426A4C9C");
