#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x3ee8651e, "netif_device_detach" },
	{ 0x2f540fc3, "skb_tstamp_tx" },
	{ 0xa5bd7ce5, "usb_alloc_urb" },
	{ 0x8d66937e, "__alloc_skb" },
	{ 0xd65ffc51, "dev_kfree_skb_any_reason" },
	{ 0x1c11d14d, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6f661ce8, "unregister_netdev" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xd738ca1b, "phy_unregister_fixup_for_uid" },
	{ 0x51949d65, "phy_disconnect" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0xac6e784a, "free_netdev" },
	{ 0x4891d444, "usb_put_dev" },
	{ 0x4d6b54ca, "fixed_phy_unregister" },
	{ 0x30637dea, "usb_autopm_put_interface_async" },
	{ 0xc141cb13, "skb_unlink" },
	{ 0x752c0f1a, "skb_put" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x627770d1, "phy_start" },
	{ 0x6fedf0ca, "napi_enable" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3028ca73, "usb_get_from_anchor" },
	{ 0x159ca6f, "usb_get_dev" },
	{ 0x47d91f8e, "alloc_etherdev_mqs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb131db65, "netif_set_tso_max_size" },
	{ 0xcfb5d6f3, "netif_napi_add_weight" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4f98aa8, "handle_simple_irq" },
	{ 0x3d5662bc, "irq_domain_create_simple" },
	{ 0x3d7ff809, "irq_create_mapping_affinity" },
	{ 0x2dfb7d19, "mdiobus_alloc_size" },
	{ 0x3fc03c66, "__mdiobus_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc23073, "phy_find_first" },
	{ 0xe42fef5a, "phy_connect_direct" },
	{ 0xf4ebc8a2, "phy_remove_link_mode" },
	{ 0x94ef145d, "__genphy_config_aneg" },
	{ 0xfe8549e0, "register_netdev" },
	{ 0x3b520949, "pm_runtime_set_autosuspend_delay" },
	{ 0xde794b35, "phy_register_fixup_for_uid" },
	{ 0xc81d498e, "fixed_phy_register" },
	{ 0x7d944bba, "_dev_err" },
	{ 0x482c103f, "skb_pull" },
	{ 0xd1931f4e, "__napi_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc4c78703, "netif_tx_lock" },
	{ 0x5ecf5732, "netif_tx_unlock" },
	{ 0x8aaa06bb, "usb_autopm_get_interface_async" },
	{ 0x49d510fc, "napi_complete_done" },
	{ 0x8edb340, "netif_tx_wake_queue" },
	{ 0x34f831a2, "usb_anchor_urb" },
	{ 0xf60b38f1, "netif_device_attach" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xd796b675, "netif_carrier_off" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8348ae17, "usb_clear_halt" },
	{ 0x5f308af4, "eth_validate_addr" },
	{ 0xe0cd5f62, "phy_do_ioctl_running" },
	{ 0x4e9d2b42, "phy_ethtool_nway_reset" },
	{ 0x99302e9f, "ethtool_op_get_ts_info" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa82c7e6a, "usb_register_driver" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xe2d471ab, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbcbdd81c, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x758e47b7, "dev_addr_mod" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf17eb240, "netdev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf56164b8, "__dynamic_netdev_dbg" },
	{ 0x930b9efb, "usb_get_urb" },
	{ 0xc463662c, "usb_unlink_urb" },
	{ 0xd1a039db, "usb_free_urb" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x8b901e74, "skb_dequeue" },
	{ 0x857cf241, "skb_queue_tail" },
	{ 0xcd468f25, "skb_queue_purge_reason" },
	{ 0xb4ab4583, "usb_autopm_get_interface" },
	{ 0xf647a68d, "usb_autopm_put_interface" },
	{ 0x6468713f, "phy_ethtool_ksettings_set" },
	{ 0x703e0d55, "mdiobus_read" },
	{ 0xcd8a0ded, "mdiobus_write" },
	{ 0xbfbed890, "phy_ethtool_ksettings_get" },
	{ 0x97e3457c, "phy_ethtool_set_eee" },
	{ 0xd00c7e1, "phy_ethtool_get_eee" },
	{ 0xdeb6a13a, "device_set_wakeup_enable" },
	{ 0xf5bc00f2, "phy_ethtool_set_wol" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf92cab59, "napi_disable" },
	{ 0x6ef88a2a, "phy_stop" },
	{ 0xd782da83, "usb_kill_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6c85fe7, "netdev_info" },
	{ 0xa59ab183, "eth_type_trans" },
	{ 0x4ee252d5, "napi_gro_receive" },
	{ 0x5294803f, "irq_set_chip_and_handler_name" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x35f7ee5c, "phy_print_status" },
	{ 0xc782331b, "phy_read_mmd" },
	{ 0xd4688d50, "phy_write_mmd" },
	{ 0x8a99b3f7, "usb_deregister" },
	{ 0x4382f75, "skb_copy_bits" },
	{ 0x9aaff93a, "__pskb_pull_tail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1e79439f, "mdiobus_unregister" },
	{ 0x49a2f676, "mdiobus_free" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x99e9a7bb, "irq_domain_remove" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7eac3162, "genphy_read_status" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xf5fc4106, "napi_schedule_prep" },
	{ 0xa083a147, "__napi_schedule" },
	{ 0xcbbe9aec, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfb578fc5, "memset" },
	{ 0x99155e40, "usb_submit_urb" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "usbcore,libphy,fixed_phy");

MODULE_ALIAS("usb:v0424p7800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7850d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9p0012d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "C3915CFC7A6F9D6DFBE316F");
