#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xc405cc57, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x36a1f68f, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x7ec585a0, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x93065aed, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xcee7a67b, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xae81f4e5, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x3c97abc1, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xe0a87667, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x9c142b38, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x14048b3d, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xdf49fb47, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x17aa4792, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x098536a0, "_gpl");
SYMBOL_CRC(usbnet_open, 0x980482a3, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xe000b5b1, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xd58be90f, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x38f0903e, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xb295210f, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x1c53f637, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x2e12c4b7, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xc44a9e2d, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x39cf9df4, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xc20f0fdb, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xae177e40, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x9e9d2c7e, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xd75c321c, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xeeb251b4, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x022703ee, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x28fd8b8a, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x28a7e09b, "");
SYMBOL_CRC(usbnet_manage_power, 0x2fee3efd, "");
SYMBOL_CRC(usbnet_link_change, 0xd2a77d53, "");
SYMBOL_CRC(usbnet_read_cmd, 0x112b4faa, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x42ed32c8, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x0ac6c4c6, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x5f2a3155, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x97d46d07, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87f8740a, "usb_set_interface" },
	{ 0x9d8d82cd, "usb_string" },
	{ 0x8aabeefe, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x758e47b7, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x923fb07f, "netif_rx" },
	{ 0xa59ab183, "eth_type_trans" },
	{ 0x857cf241, "skb_queue_tail" },
	{ 0xf56164b8, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcd468f25, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x930b9efb, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc463662c, "usb_unlink_urb" },
	{ 0xd1a039db, "usb_free_urb" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x99155e40, "usb_submit_urb" },
	{ 0xf17eb240, "netdev_err" },
	{ 0x602e32e5, "mii_ethtool_get_link_ksettings" },
	{ 0x95e0d15f, "mii_ethtool_set_link_ksettings" },
	{ 0x40e6cee6, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f661ce8, "unregister_netdev" },
	{ 0x3eeb7a61, "consume_skb" },
	{ 0x3028ca73, "usb_get_from_anchor" },
	{ 0xd782da83, "usb_kill_urb" },
	{ 0xac6e784a, "free_netdev" },
	{ 0x6c85fe7, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3ee8651e, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf60b38f1, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2d471ab, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb4ab4583, "usb_autopm_get_interface" },
	{ 0xf647a68d, "usb_autopm_put_interface" },
	{ 0xa5bd7ce5, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x95e3a9f3, "mii_link_ok" },
	{ 0xb2262513, "ethtool_op_get_link" },
	{ 0x30637dea, "usb_autopm_put_interface_async" },
	{ 0xe94fb8a7, "netif_carrier_on" },
	{ 0xd796b675, "netif_carrier_off" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8aaa06bb, "usb_autopm_get_interface_async" },
	{ 0x2f540fc3, "skb_tstamp_tx" },
	{ 0xd65ffc51, "dev_kfree_skb_any_reason" },
	{ 0x34f831a2, "usb_anchor_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8b901e74, "skb_dequeue" },
	{ 0x47d91f8e, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfe8549e0, "register_netdev" },
	{ 0x4a6c666d, "pm_runtime_enable" },
	{ 0xb19acd1a, "usb_check_bulk_endpoints" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x378af034, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8edb340, "netif_tx_wake_queue" },
	{ 0x5005378, "usb_autopm_get_interface_no_resume" },
	{ 0x752c0f1a, "skb_put" },
	{ 0x8348ae17, "usb_clear_halt" },
	{ 0xe5b7ec38, "eth_mac_addr" },
	{ 0x5f308af4, "eth_validate_addr" },
	{ 0x99302e9f, "ethtool_op_get_ts_info" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "38908DA3D1327226F0EBFCE");
