#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaae01316, "rt2x00mmio_uninitialize" },
	{ 0x86dd7209, "rt2x00mmio_flush_queue" },
	{ 0x4880cc39, "rt2x00mac_tx" },
	{ 0xa54ff1c0, "rt2x00mac_start" },
	{ 0x571398ce, "rt2x00mac_stop" },
	{ 0x1745d1d7, "rt2x00mac_add_interface" },
	{ 0xd136e6c8, "rt2x00mac_remove_interface" },
	{ 0x9f9a23d, "rt2x00mac_config" },
	{ 0x7096f68f, "rt2x00mac_bss_info_changed" },
	{ 0x34e50fe9, "rt2x00mac_configure_filter" },
	{ 0xab554cee, "rt2x00mac_set_key" },
	{ 0x946883b6, "rt2x00mac_sw_scan_start" },
	{ 0x370af768, "rt2x00mac_sw_scan_complete" },
	{ 0xc6eaace3, "rt2x00mac_get_stats" },
	{ 0xbb1ea664, "rt2x00mac_rfkill_poll" },
	{ 0xf36f5f7d, "rt2x00mac_flush" },
	{ 0x50a4932, "rt2x00mac_set_antenna" },
	{ 0x1e610187, "rt2x00mac_get_antenna" },
	{ 0xad6a6a21, "rt2x00mac_get_ringparam" },
	{ 0xbfdc2db3, "rt2x00mac_tx_frames_pending" },
	{ 0x845f55ef, "ieee80211_emulate_add_chanctx" },
	{ 0x45f5b0fa, "ieee80211_emulate_remove_chanctx" },
	{ 0x148989b8, "ieee80211_emulate_change_chanctx" },
	{ 0x58157113, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xac960a81, "ieee80211_handle_wake_tx_queue" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd1acc8b7, "__pci_register_driver" },
	{ 0xd7728122, "rt2x00pci_probe" },
	{ 0x5f6b4c5, "rt2x00mac_conf_tx" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcd6ecd2c, "rt2x00mmio_regbusy_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7d944bba, "_dev_err" },
	{ 0xf1e303d6, "__skb_pad" },
	{ 0xd65ffc51, "dev_kfree_skb_any_reason" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x489cf18d, "pci_read_config_word" },
	{ 0xaa62a3e8, "pci_unregister_driver" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xd819a524, "crc_itu_t_table" },
	{ 0x6c6ecc35, "rt2x00lib_txdone_noinfo" },
	{ 0x902eec61, "rt2x00queue_get_entry" },
	{ 0x13d291c3, "rt2x00lib_txdone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb2e02a93, "_dev_warn" },
	{ 0x605d76aa, "rt2x00lib_beacondone" },
	{ 0xafd79e6c, "rt2x00mmio_rxdone" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x73490a9d, "rt2x00lib_set_mac_address" },
	{ 0x593b67f4, "_dev_info" },
	{ 0x8aabeefe, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad9cdeee, "rt2x00pci_remove" },
	{ 0x509b05b2, "rt2x00pci_pm_ops" },
	{ 0x43b18d6b, "rt2x00mmio_initialize" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "rt2x00mmio,rt2x00lib,mac80211,rt2x00pci,crc-itu-t,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000401sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "986CCDE6B32D2C8F1945171");
