#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xdbd07486, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x4e7a20b5, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x36f3ba60, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x98814dd3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcde2c983, "unregister_netdevice_queue" },
	{ 0x7bbe610d, "netdev_upper_dev_unlink" },
	{ 0x758e47b7, "dev_addr_mod" },
	{ 0xf0a02f85, "dev_uc_add" },
	{ 0xb0ff8cb3, "dev_set_mtu" },
	{ 0x4c45617b, "netif_inherit_tso_max" },
	{ 0xac76c1fe, "netdev_update_features" },
	{ 0xc81bc1c6, "netif_stacked_transfer_operstate" },
	{ 0x4ae0211c, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1135d0cd, "skb_clone" },
	{ 0x923fb07f, "netif_rx" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1db7b55c, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3eeb7a61, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd888a48f, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3c39dbf5, "__dev_queue_xmit" },
	{ 0x6aefc9d1, "dev_forward_skb" },
	{ 0x2c0d55fa, "netpoll_send_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x27d7c78f, "__netif_rx" },
	{ 0x45234b7b, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x86a7e9f5, "netdev_core_stats_inc" },
	{ 0x1b7b1a53, "__dev_get_by_index" },
	{ 0x6c9dbcf6, "netdev_is_rx_handler_busy" },
	{ 0xc34184e5, "netdev_rx_handler_register" },
	{ 0x77c688b2, "register_netdevice" },
	{ 0xc54d946c, "netdev_upper_dev_link" },
	{ 0x145197c8, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe2cc01f5, "dev_uc_sync" },
	{ 0xd6d47fd, "dev_mc_sync" },
	{ 0x2e0b5019, "passthru_features_check" },
	{ 0x5f308af4, "eth_validate_addr" },
	{ 0xf4be0b2, "ndo_dflt_fdb_dump" },
	{ 0xb2262513, "ethtool_op_get_link" },
	{ 0x7f0733c, "eth_header_parse" },
	{ 0x9cdd7edf, "eth_header_cache" },
	{ 0x37eb2594, "eth_header_cache_update" },
	{ 0x143e3692, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41382dae, "ether_setup" },
	{ 0x1a2ad3ed, "__ethtool_get_link_ksettings" },
	{ 0x52d9fcd4, "ethtool_get_ts_info_by_layer" },
	{ 0xb9c519e6, "init_net" },
	{ 0x3ef5dc7d, "generic_hwtstamp_set_lower" },
	{ 0x67ceb677, "generic_hwtstamp_get_lower" },
	{ 0xf7d78704, "dev_mc_del" },
	{ 0xf9e3ae70, "dev_uc_del" },
	{ 0xe607cdf4, "dev_mc_add_excl" },
	{ 0x8a8e0b8d, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xf6bed112, "__netpoll_free" },
	{ 0x8a36d4ea, "vlan_vid_del" },
	{ 0x2effa593, "vlan_vid_add" },
	{ 0x3b857fca, "dev_set_allmulti" },
	{ 0x770ab420, "dev_set_promiscuity" },
	{ 0x1bc08476, "dev_uc_unsync" },
	{ 0x4ca6057a, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8f5294c1, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x888315c9, "kfree_skb_reason" },
	{ 0x836d707e, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7dfcb6d6, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb79b1a80, "rtnl_link_unregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x6a12e327, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9D60142A21DC10CB553D14");
