#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0xed802351, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x62065e62, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x4627d830, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x711c32cc, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x6e828218, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0xf99c4de5, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xf0ec198c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7eac3162, "genphy_read_status" },
	{ 0xcd8a0ded, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0x53e64496, "device_property_present" },
	{ 0xdf6b5136, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xd693cf33, "dev_err_probe" },
	{ 0xf87d2c22, "phy_drivers_register" },
	{ 0xc782331b, "phy_read_mmd" },
	{ 0x94ef145d, "__genphy_config_aneg" },
	{ 0x75244967, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xed4a94d5, "genphy_soft_reset" },
	{ 0xc0fd96bb, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd4688d50, "phy_write_mmd" },
	{ 0x8aabeefe, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x593b67f4, "_dev_info" },
	{ 0x9d076eb7, "genphy_suspend" },
	{ 0x9a1c5150, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x703e0d55, "mdiobus_read" },
	{ 0x4f218a86, "phy_trigger_machine" },
	{ 0x683b2305, "phy_error" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "66F96A3A218F829563119ED");
