#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7430e87, "mt76x2_mcu_set_channel" },
	{ 0xcbfb9a87, "mt76x02_dma_disable" },
	{ 0xb461821c, "mt76x02_mcu_set_radio_state" },
	{ 0x2538cbe9, "mt76_wake_tx_queue" },
	{ 0x866f1ac3, "mt76x02e_init_beacon_config" },
	{ 0x308a69c7, "mt76_get_antenna" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x23854148, "mt76_set_stream_caps" },
	{ 0x8a129017, "mt76x2_apply_gain_adj" },
	{ 0x148989b8, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3c1a944c, "pci_set_power_state" },
	{ 0xcb5ad2d2, "mt76x02_sta_ps" },
	{ 0x94fc832b, "mt76x2_set_sar_specs" },
	{ 0x5610e678, "mt76x02_sta_rate_tbl_update" },
	{ 0x287ab4dc, "kthread_park" },
	{ 0xe30742cf, "mt76_dma_cleanup" },
	{ 0xaa62a3e8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98c93947, "mt76x02_reconfig_complete" },
	{ 0x3663c5d2, "mt76_alloc_device" },
	{ 0x4197e763, "wake_up_process" },
	{ 0x6e2f59b1, "mt76x02_mac_shared_key_setup" },
	{ 0x294bd13d, "mt76x02_ext_pa_enabled" },
	{ 0xa823a87f, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xac72d2d7, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33fa2b62, "mt76x02_set_tx_ackto" },
	{ 0x9167aa79, "mt76x02_update_channel" },
	{ 0xa083a147, "__napi_schedule" },
	{ 0xbd740bee, "mt76x2_configure_tx_delay" },
	{ 0x4080b2c9, "mt76_pci_disable_aspm" },
	{ 0x593b67f4, "_dev_info" },
	{ 0x5cb37939, "mt76x02_configure_filter" },
	{ 0x4501b86b, "mt76_free_device" },
	{ 0x1632b6c4, "mt76x02_queue_rx_skb" },
	{ 0xa9857163, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x341338f6, "pcim_iomap_regions" },
	{ 0xc291bcfd, "ieee80211_queue_delayed_work" },
	{ 0x7d944bba, "_dev_err" },
	{ 0x72c8fc0f, "mt76x02_rx_poll_complete" },
	{ 0x151de622, "mt76x02_mac_setaddr" },
	{ 0xa4586053, "mt76_register_device" },
	{ 0x858b97e0, "mt76_set_tim" },
	{ 0xebb8ac79, "mt76x02_sw_scan_complete" },
	{ 0x9a394974, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x17016cc5, "mt76x02_phy_set_band" },
	{ 0xda69c413, "mt76_set_channel" },
	{ 0x5ff442c6, "mt76x02_init_device" },
	{ 0x6fedf0ca, "napi_enable" },
	{ 0x6495e06f, "mt76x02_tx" },
	{ 0x298b8808, "mt76_mmio_init" },
	{ 0xbf8106fc, "ieee80211_wake_queues" },
	{ 0xa2c47513, "mt76x02_sta_remove" },
	{ 0x5c09a743, "mt76x02_edcca_init" },
	{ 0x3b47e8ff, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x233c5283, "mt76x02_sta_add" },
	{ 0x3e47fc8, "mt76_unregister_device" },
	{ 0xe052272a, "mt76x2_mcu_load_cr" },
	{ 0xda7b30ed, "pci_restore_state" },
	{ 0x81921d03, "mt76x2_init_txpower" },
	{ 0x788ab73b, "mt76x02_init_debugfs" },
	{ 0xfff0dfac, "mt76_get_survey" },
	{ 0x845f55ef, "ieee80211_emulate_add_chanctx" },
	{ 0xde8ef3ee, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58157113, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xaccdbc28, "mt76x2_mcu_init_gain" },
	{ 0x4d1e7bf6, "mt76x02_set_rts_threshold" },
	{ 0x258d82aa, "mt76x02_tx_complete_skb" },
	{ 0x9f207521, "mt76_sta_state" },
	{ 0x1ee06cd6, "mt76x02_mcu_msg_send" },
	{ 0x4a3de65c, "mt76x2_phy_tssi_compensate" },
	{ 0x7be88a77, "ieee80211_stop_queues" },
	{ 0x9dc7ab99, "mt76x02_mac_cc_reset" },
	{ 0xa5ae4576, "mt76x02_bss_info_changed" },
	{ 0x11c8419a, "mt76x02_init_agc_gain" },
	{ 0x4907d4fb, "mt76x2_phy_update_channel_gain" },
	{ 0x3ec19da3, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6214bdf6, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x877de01f, "mt76x02_add_interface" },
	{ 0x2190d7d9, "____mt76_poll_msec" },
	{ 0xe0f40f6b, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd3d2b8be, "mt76x02_config_mac_addr_list" },
	{ 0xf0726152, "mt76_get_sar_power" },
	{ 0x918fd839, "mt76x02_tx_prepare_skb" },
	{ 0x8771de7b, "mt76x02_mcu_cleanup" },
	{ 0x4bc0d937, "mt76x02_ampdu_action" },
	{ 0x41a03668, "mt76x02_mcu_calibrate" },
	{ 0x373573dc, "mt76x02_conf_tx" },
	{ 0xc3bfbf64, "mt76x02_mcu_function_select" },
	{ 0x5f41612f, "dma_set_mask" },
	{ 0x536231f6, "mt76_sw_scan" },
	{ 0x7ba42b96, "mt76_sta_pre_rcu_remove" },
	{ 0x1c61d648, "pcim_iomap_table" },
	{ 0x78498425, "mt76x2_get_temp_comp" },
	{ 0x81396373, "mt76x02_mac_wcid_setup" },
	{ 0xf5fc4106, "napi_schedule_prep" },
	{ 0xf92cab59, "napi_disable" },
	{ 0x23b5edd4, "__mt76_poll" },
	{ 0x7ba6f4b, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5f996a, "pcim_enable_device" },
	{ 0x5c1a671a, "mt76x2_phy_set_txpower_regs" },
	{ 0xac0a04d, "mt76x2_phy_set_txpower" },
	{ 0x45f5b0fa, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0x6bbea2b3, "mt76x02_mac_start" },
	{ 0x16542eb6, "mt76x02_remove_interface" },
	{ 0xb0d8f128, "mt76x02_dma_init" },
	{ 0xadd36db, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfdee708c, "devm_request_threaded_irq" },
	{ 0xd883010e, "pci_choose_state" },
	{ 0x34e31a1a, "mt76x02_set_ethtool_fwver" },
	{ 0x113c60f9, "mt76x02_tx_set_txpwr_auto" },
	{ 0x61a28f3c, "mt76x02_set_key" },
	{ 0xecbc44fc, "mt76x02_mcu_parse_response" },
	{ 0x26494b26, "mt76_release_buffered_frames" },
	{ 0x3ad5cb4, "request_firmware" },
	{ 0x720e93c2, "mt76_get_txpower" },
	{ 0xd1acc8b7, "__pci_register_driver" },
	{ 0x8276f23c, "mt76_write_mac_initvals" },
	{ 0xae39cd23, "mt76x2_reset_wlan" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "BA521187B36C1C582D3458F");
