#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x6ceedbbe, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x4c920131, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0xe584217e, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x2e510a97, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0xfa33b2f1, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0xc6c419bb, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x4553e2c4, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x36b38a3d, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x67bc56f6, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0xe2811e39, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x672711c3, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x2088098c, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x1035e2c1, "_gpl");
SYMBOL_CRC(mt7921_ops, 0xfa6c6f20, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0x15db03dc, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x8979ec9f, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x9de93cb1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8aabeefe, "__dynamic_dev_dbg" },
	{ 0x71ee4790, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8b58b87, "pskb_expand_head" },
	{ 0xc77f7350, "mt76_wcid_init" },
	{ 0x4197e763, "wake_up_process" },
	{ 0xcba3c86f, "mt76_connac_free_pending_tx_skbs" },
	{ 0x160b39ee, "mt792x_sta_statistics" },
	{ 0xcd468f25, "skb_queue_purge_reason" },
	{ 0xf5455d28, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x693529d3, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c0e4dd1, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd587e6ca, "mt792x_get_et_sset_count" },
	{ 0x16792604, "mt76_connac_mcu_set_mac_enable" },
	{ 0x6a3c14d0, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xa8eed729, "mt792x_init_acpi_sar_power" },
	{ 0xb303b6cf, "mt792x_set_wakeup" },
	{ 0xe1a5bf46, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x593b67f4, "_dev_info" },
	{ 0x857cf241, "skb_queue_tail" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7b2de0a7, "mt76_rx" },
	{ 0x158d308f, "mt792x_load_firmware" },
	{ 0x6778af0b, "mt76_connac_mcu_sched_scan_req" },
	{ 0x3c8ee641, "mt792x_get_et_stats" },
	{ 0x2aa41e1c, "mt76_connac2_txwi_free" },
	{ 0x525ba233, "__tracepoint_lp_event" },
	{ 0xccdcf1be, "mt76_connac_mcu_uni_add_bss" },
	{ 0xfeeedd86, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x434e682d, "wiphy_to_ieee80211_hw" },
	{ 0x6a28105d, "debugfs_attr_read" },
	{ 0xeae0ab9f, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc291bcfd, "ieee80211_queue_delayed_work" },
	{ 0x5ec8fff, "devm_kmemdup" },
	{ 0x7d944bba, "_dev_err" },
	{ 0x482c103f, "skb_pull" },
	{ 0xa4586053, "mt76_register_device" },
	{ 0xc6b36a39, "mt792x_get_stats" },
	{ 0x3a6abf1f, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xec5b43d3, "simple_attr_release" },
	{ 0x3ef8f8f0, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x463093f, "mt76_find_power_limits_node" },
	{ 0x76f1b129, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb941d20e, "skb_push" },
	{ 0xda69c413, "mt76_set_channel" },
	{ 0xbf8106fc, "ieee80211_wake_queues" },
	{ 0xaf5c6e45, "mt76_mcu_send_and_get_msg" },
	{ 0xd8f09b18, "ieee80211_beacon_get_template" },
	{ 0x7827c1ab, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5540ed6e, "mt76_eeprom_override" },
	{ 0xb099e914, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7ee42006, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfff0dfac, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x742de0c0, "devm_hwmon_device_register_with_groups" },
	{ 0xb1bfce49, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5159c622, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9aaff93a, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x85191229, "mt792x_tx" },
	{ 0x17645b23, "mt792x_get_et_strings" },
	{ 0x9f207521, "mt76_sta_state" },
	{ 0xa4618d4f, "ieee80211_ready_on_channel" },
	{ 0x7be88a77, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc13d22f, "devm_kasprintf" },
	{ 0xf3434887, "cfg80211_reg_can_beacon" },
	{ 0x3e7315c4, "mt792x_remove_interface" },
	{ 0xe764f4f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x29a47ffa, "mt792x_queues_read" },
	{ 0x9042d24b, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x8805612f, "debugfs_create_file" },
	{ 0x34f75953, "mt792x_queues_acq" },
	{ 0x8825e498, "ieee80211_sched_scan_results" },
	{ 0xf144e92e, "ieee80211_scan_completed" },
	{ 0x8b962e50, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x437b16ab, "mt76_insert_ccmp_hdr" },
	{ 0x60495a85, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0x1facce56, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xf1fe4837, "mt792x_tx_stats_show" },
	{ 0x6a8badcf, "mt792x_acpi_get_mtcl_conf" },
	{ 0xb190c861, "mt76_rx_aggr_start" },
	{ 0xf1e13b8d, "__SCK__tp_func_lp_event" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x4f6c9e0e, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7d371764, "mt792x_mac_init_band" },
	{ 0x3e2a2c8a, "mt76_skb_adjust_pad" },
	{ 0xd0a3bf37, "mt792x_init_wiphy" },
	{ 0x858e6dde, "seq_puts" },
	{ 0x31627af8, "mt76_connac_sta_state_dp" },
	{ 0xe8f96e8, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xc4c68720, "single_release" },
	{ 0xdbda9e6f, "mt76_queues_read" },
	{ 0x7ba42b96, "mt76_sta_pre_rcu_remove" },
	{ 0x528422a0, "mt76_register_debugfs_fops" },
	{ 0x320beec9, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x78c2a1da, "mt76_connac2_mac_write_txwi" },
	{ 0xbb9f340d, "__mt76_set_tx_blocked" },
	{ 0x71a45398, "mt76_connac_mcu_sta_ba" },
	{ 0xcbfa25ed, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x3b4798a7, "ieee80211_queue_work" },
	{ 0x8111bb8e, "mt792x_mac_reset_counters" },
	{ 0xcca66bcd, "napi_consume_skb" },
	{ 0x23b5edd4, "__mt76_poll" },
	{ 0x82bba986, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x128f69e5, "single_open" },
	{ 0xf39a75c7, "mt76_connac_mcu_add_key" },
	{ 0xb150e2cf, "mt792x_unassign_vif_chanctx" },
	{ 0x1722570e, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0xfe4541a9, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x75eda7ae, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xef7f8aa7, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0x7da102fc, "mt792x_init_wcid" },
	{ 0x84dcdaad, "mt792x_init_acpi_sar" },
	{ 0xdc538b0d, "mt76_init_sar_power" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x491ba272, "simple_attr_open" },
	{ 0x8176a55c, "ieee80211_iterate_interfaces" },
	{ 0x342a877a, "mt792x_stop" },
	{ 0xf258a6e3, "debugfs_attr_write" },
	{ 0x82029cae, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xd943b54f, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x752c0f1a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3eeb7a61, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5c0e299f, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x67a2e5c4, "mt792x_tx_worker" },
	{ 0x93e5581d, "mt792x_flush" },
	{ 0xd3acd3a5, "mt792x_rx_get_wcid" },
	{ 0x8b901e74, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0xa90fadaa, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4342dc14, "mt76_connac_mcu_set_channel_domain" },
	{ 0x82382d7, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x26494b26, "mt76_release_buffered_frames" },
	{ 0x3ad5cb4, "request_firmware" },
	{ 0x720e93c2, "mt76_get_txpower" },
	{ 0x58ace510, "mt76_tx_status_skb_add" },
	{ 0x24240ccd, "mt76_connac_pm_wake" },
	{ 0xe0dcc680, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0xa5223478, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x2538cbe9, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x99abd04a, "mt76_connac_mcu_chip_config" },
	{ 0x308a69c7, "mt76_get_antenna" },
	{ 0x35affb6a, "mt792x_set_coverage_class" },
	{ 0xd464768b, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x7cee8442, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0xd0f65b70, "seq_lseek" },
	{ 0x23854148, "mt76_set_stream_caps" },
	{ 0xf3b6db6a, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa62374cc, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x11073e8c, "mt76_connac_mcu_update_arp_filter" },
	{ 0x668d2356, "mt76_connac2_tx_check_aggr" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "4210C9011F8EB07004F4E62");
