#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7d944bba, "_dev_err" },
	{ 0xc6c708a3, "rt2800_mcu_request" },
	{ 0x69899286, "rt2800mmio_toggle_irq" },
	{ 0x5abc958d, "rt2800mmio_enable_radio" },
	{ 0xad9cdeee, "rt2x00pci_remove" },
	{ 0x509b05b2, "rt2x00pci_pm_ops" },
	{ 0xe57de92c, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xbddcf883, "rt2800mmio_probe_hw" },
	{ 0xb3b7a9f9, "rt2800_check_firmware" },
	{ 0x7c084bb8, "rt2800_load_firmware" },
	{ 0x43b18d6b, "rt2x00mmio_initialize" },
	{ 0xaae01316, "rt2x00mmio_uninitialize" },
	{ 0xbccb89fd, "rt2800mmio_get_entry_state" },
	{ 0xfc9fb068, "rt2800mmio_clear_entry" },
	{ 0x5e601523, "rt2800_rfkill_poll" },
	{ 0x45dd214f, "rt2800_link_stats" },
	{ 0x7af79ca, "rt2800_reset_tuner" },
	{ 0x87da53fe, "rt2800_link_tuner" },
	{ 0x67c2e77c, "rt2800_gain_calibration" },
	{ 0x52e5b8ed, "rt2800_vco_calibration" },
	{ 0xa44da166, "rt2800_watchdog" },
	{ 0xafada02b, "rt2800mmio_start_queue" },
	{ 0x6dbb4a25, "rt2800mmio_kick_queue" },
	{ 0xd4dbd343, "rt2800mmio_stop_queue" },
	{ 0x524f1f06, "rt2800mmio_flush_queue" },
	{ 0xe9e85696, "rt2800mmio_write_tx_desc" },
	{ 0x1f271e55, "rt2800_write_tx_data" },
	{ 0x5f959a03, "rt2800_write_beacon" },
	{ 0x28c3520e, "rt2800_clear_beacon" },
	{ 0xd016d8c9, "rt2800mmio_fill_rxdone" },
	{ 0x27b62f01, "rt2800_config_shared_key" },
	{ 0x22ce373c, "rt2800_config_pairwise_key" },
	{ 0xe50ad59d, "rt2800_config_filter" },
	{ 0x9f81ce22, "rt2800_config_intf" },
	{ 0x77c36a8f, "rt2800_config_erp" },
	{ 0x1a46c481, "rt2800_config_ant" },
	{ 0x782396b8, "rt2800_config" },
	{ 0xaf6ae02e, "rt2800_pre_reset_hw" },
	{ 0xcd6ecd2c, "rt2x00mmio_regbusy_read" },
	{ 0xd8f146a0, "rt2800mmio_init_registers" },
	{ 0x29c1c17c, "rt2800mmio_get_txwi" },
	{ 0xbb7b3744, "rt2800mmio_get_dma_done" },
	{ 0x4880cc39, "rt2x00mac_tx" },
	{ 0xa54ff1c0, "rt2x00mac_start" },
	{ 0x571398ce, "rt2x00mac_stop" },
	{ 0x1745d1d7, "rt2x00mac_add_interface" },
	{ 0xd136e6c8, "rt2x00mac_remove_interface" },
	{ 0x9f9a23d, "rt2x00mac_config" },
	{ 0x7096f68f, "rt2x00mac_bss_info_changed" },
	{ 0x34e50fe9, "rt2x00mac_configure_filter" },
	{ 0xab554cee, "rt2x00mac_set_key" },
	{ 0x946883b6, "rt2x00mac_sw_scan_start" },
	{ 0x370af768, "rt2x00mac_sw_scan_complete" },
	{ 0xc6eaace3, "rt2x00mac_get_stats" },
	{ 0xfa104b48, "rt2800_get_key_seq" },
	{ 0x945dd8f3, "rt2800_set_rts_threshold" },
	{ 0xf48fe556, "rt2800_sta_add" },
	{ 0xbe42c0d5, "rt2800_sta_remove" },
	{ 0x57b0e3b7, "rt2800_conf_tx" },
	{ 0x7e116ec, "rt2800_get_tsf" },
	{ 0x91683e81, "rt2800_ampdu_action" },
	{ 0x9b919183, "rt2800_get_survey" },
	{ 0xbb1ea664, "rt2x00mac_rfkill_poll" },
	{ 0xf36f5f7d, "rt2x00mac_flush" },
	{ 0xad6a6a21, "rt2x00mac_get_ringparam" },
	{ 0xbfdc2db3, "rt2x00mac_tx_frames_pending" },
	{ 0x845f55ef, "ieee80211_emulate_add_chanctx" },
	{ 0x45f5b0fa, "ieee80211_emulate_remove_chanctx" },
	{ 0x148989b8, "ieee80211_emulate_change_chanctx" },
	{ 0x58157113, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x31c3e45e, "rt2x00mac_reconfig_complete" },
	{ 0xac960a81, "ieee80211_handle_wake_tx_queue" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1acc8b7, "__pci_register_driver" },
	{ 0xd7728122, "rt2x00pci_probe" },
	{ 0x4f95e54c, "rt2800_efuse_detect" },
	{ 0xc941fa65, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xaa62a3e8, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0E9A8343572DB09B35370FF");
