#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xc8350947, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xc9b6546e, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x149755ca, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xb6b2f4b1, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x787243c0, "_gpl");
SYMBOL_CRC(br_forward, 0x228b985b, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xc93a6887, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x6175b526, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x4fe260a1, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xffa62903, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x0ba428fc, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x57615237, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xbbd98d78, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xc253c98a, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x1adef6e2, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x025baa8c, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xe3e8ec70, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xa3cc9459, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xcb9cf371, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x029a34f5, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xe36284e4, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x8e371e59, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x838c1371, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xa40ce840, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xbb80824b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f763859, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf56164b8, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc674ebd2, "__ip_mc_inc_group" },
	{ 0x417a79f4, "netdev_walk_all_upper_dev_rcu" },
	{ 0xd888a48f, "pv_ops" },
	{ 0x8cf28143, "sysfs_remove_group" },
	{ 0xd98c7069, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8b6295ee, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6a12e327, "__netpoll_setup" },
	{ 0x3c39dbf5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2effa593, "vlan_vid_add" },
	{ 0x71aaa9d4, "neigh_destroy" },
	{ 0xce328fd0, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xfaede878, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xdff86687, "__SCK__tp_func_br_fdb_update" },
	{ 0x4ae0211c, "call_netdevice_notifiers" },
	{ 0x5dbb8e5f, "is_skb_forwardable" },
	{ 0x8a36d4ea, "vlan_vid_del" },
	{ 0x3b857fca, "dev_set_allmulti" },
	{ 0x4e7b1af7, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1ad8b8d9, "netdev_master_upper_dev_get" },
	{ 0x34cc9a46, "ipv6_dev_mc_inc" },
	{ 0xdd43fb5a, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd796b675, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x12f2ec0c, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1135d0cd, "skb_clone" },
	{ 0xd7e5bbab, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x32b04376, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8e38e42c, "dst_release" },
	{ 0xe94fb8a7, "netif_carrier_on" },
	{ 0x7c4f63a, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xab0c2d61, "arp_tbl" },
	{ 0x480f788b, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc34184e5, "netdev_rx_handler_register" },
	{ 0xf0a02f85, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb131db65, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdfaeac17, "dev_disable_lro" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x53c2de63, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbf4fccca, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xd65ffc51, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1dc435e5, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x1e75e8ce, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xb868412c, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfd23aa75, "skb_ext_add" },
	{ 0xfccc8b4a, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xdcebc3b5, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x273ac336, "neigh_lookup" },
	{ 0xc98ea110, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x28e5a90a, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x77c688b2, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x8ab42830, "netdev_lower_get_next" },
	{ 0xb0ff8cb3, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbb287bad, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x4382f75, "skb_copy_bits" },
	{ 0x35783ed0, "__nlmsg_put" },
	{ 0x86ef1a5, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf4f22ff7, "ipv6_mc_check_mld" },
	{ 0x752c0f1a, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x20d1b719, "call_switchdev_notifiers" },
	{ 0x2083633a, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xac76c1fe, "netdev_update_features" },
	{ 0x3eeb7a61, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf6bed112, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xf9e3ae70, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c0d55fa, "netpoll_send_skb" },
	{ 0x7dfcb6d6, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x21e434be, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x39d71fb0, "switchdev_port_obj_act_is_deferred" },
	{ 0x3083f4ed, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x770ab420, "dev_set_promiscuity" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcde2c983, "unregister_netdevice_queue" },
	{ 0x7e2f0577, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x501ed157, "netdev_state_change" },
	{ 0x67d38e16, "__pskb_copy_fclone" },
	{ 0x34193c6, "__dev_get_by_name" },
	{ 0x41382dae, "ether_setup" },
	{ 0xf17eb240, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8b58b87, "pskb_expand_head" },
	{ 0xc196f984, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x57960c86, "brioctl_set" },
	{ 0x758e47b7, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xe601008c, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb6c12fff, "alloc_netdev_mqs" },
	{ 0x2e0b5019, "passthru_features_check" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8f5294c1, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7bf76bed, "__SCK__tp_func_br_mdb_full" },
	{ 0x19bdeecf, "rtnl_af_register" },
	{ 0x9d92db3a, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x8d66937e, "__alloc_skb" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9b030fd, "kmem_cache_alloc" },
	{ 0xacbaed2, "rtnl_set_sk_err" },
	{ 0xd5a4b6e3, "skb_vlan_pop" },
	{ 0xc692ba03, "rtnl_unicast" },
	{ 0xde48363f, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x20904d2c, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6350d90a, "nla_reserve_64bit" },
	{ 0xb5b0e693, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1b7b1a53, "__dev_get_by_index" },
	{ 0xb79b1a80, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xc672b9aa, "dev_get_port_parent_id" },
	{ 0xb9c519e6, "init_net" },
	{ 0xc182b94f, "ipv6_stub" },
	{ 0x58d7ccb7, "inet_confirm_addr" },
	{ 0x482c103f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x16fbe366, "sysfs_remove_link" },
	{ 0x65b594e, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x23c059d7, "__SCK__tp_func_br_fdb_add" },
	{ 0x748fc5aa, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf9fb6fac, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x6a002a3c, "dev_get_by_index_rcu" },
	{ 0x888315c9, "kfree_skb_reason" },
	{ 0x252c8f98, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xb941d20e, "skb_push" },
	{ 0x547d9e1, "kmem_cache_free" },
	{ 0xefa8fe90, "br_fdb_test_addr_hook" },
	{ 0xf4be0b2, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x7bbe610d, "netdev_upper_dev_unlink" },
	{ 0x6c6964ad, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6ef0ac26, "llc_mac_hdr_init" },
	{ 0xac6e784a, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8d8e43a1, "__SCK__tp_func_fdb_delete" },
	{ 0xe4058ec8, "kobject_init_and_add" },
	{ 0x86252c1e, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2d018a3d, "ns_capable" },
	{ 0x8c25a6c4, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd24abade, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb2262513, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x42de3dc1, "arp_create" },
	{ 0x1a2ad3ed, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57dfc7b0, "stp_proto_register" },
	{ 0x844e32b, "rtnl_register_module" },
	{ 0xdae060b6, "__tracepoint_br_fdb_update" },
	{ 0x332c1d70, "sysfs_rename_link_ns" },
	{ 0x9dcd7f31, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfa1e0de7, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9aaff93a, "__pskb_pull_tail" },
	{ 0x75d22c56, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x923fb07f, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x20a4032c, "ip_mc_check_igmp" },
	{ 0x378af034, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xf08b4af3, "switchdev_port_obj_del" },
	{ 0x94ffe164, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x73990a7f, "kobject_create_and_add" },
	{ 0xf1181a36, "skb_trim" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "977E8B01C27DEB7A5EBFA8E");
