#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81af5960, "l2tp_tunnel_register" },
	{ 0xbee6f28c, "l2tp_tunnel_dec_refcount" },
	{ 0x37a0cba, "kfree" },
	{ 0x72802766, "remove_proc_entry" },
	{ 0xb2b4682b, "proc_create_net_data" },
	{ 0x2c080d8e, "l2tp_tunnel_get_nth" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5d555a7a, "sock_queue_rcv_skb_reason" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb512d4dc, "ppp_input" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x482c103f, "skb_pull" },
	{ 0x9aaff93a, "__pskb_pull_tail" },
	{ 0xff621d96, "l2tp_session_get_nth" },
	{ 0xdab9e5e7, "lock_sock_nested" },
	{ 0x327e79f, "release_sock" },
	{ 0x1c80e654, "l2tp_tunnel_delete" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfbb2443, "l2tp_session_create" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0x4706d0c3, "l2tp_session_inc_refcount" },
	{ 0xa62ba2e5, "l2tp_session_register" },
	{ 0xce9ee964, "ip6_mtu" },
	{ 0x8e38e42c, "dst_release" },
	{ 0xb6a65641, "ppp_register_net_channel" },
	{ 0xeea658bf, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6e6af504, "ipv4_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9650de50, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xacc31b6f, "ppp_dev_name" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x858e6dde, "seq_puts" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x73fc2ff4, "l2tp_session_set_header_len" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x217688cc, "pppox_unbind_sock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9571bf60, "sock_wmalloc" },
	{ 0x752c0f1a, "skb_put" },
	{ 0xbeca76af, "_copy_from_iter" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x19242645, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8a67d672, "iov_iter_revert" },
	{ 0xb8b58b87, "pskb_expand_head" },
	{ 0xbb5bcc2d, "sock_no_bind" },
	{ 0x5b887cb9, "sock_no_socketpair" },
	{ 0x73b7516a, "sock_no_accept" },
	{ 0x11d84ddf, "datagram_poll" },
	{ 0x64281ea1, "pppox_ioctl" },
	{ 0x7d171449, "pppox_compat_ioctl" },
	{ 0x8c260b50, "sock_no_listen" },
	{ 0x1310d392, "sock_no_shutdown" },
	{ 0xc0c8220d, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x86b9ea1a, "register_pernet_device" },
	{ 0x726ad45b, "proto_register" },
	{ 0xc3c67df5, "register_pppox_proto" },
	{ 0x365a29c3, "l2tp_nl_register_ops" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b1396ac, "proto_unregister" },
	{ 0xdae26caf, "unregister_pernet_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd04c8f74, "l2tp_tunnel_get_session" },
	{ 0x21453c28, "l2tp_session_dec_refcount" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2c4702b7, "sk_alloc" },
	{ 0x7b2981a0, "sock_init_data" },
	{ 0xcd468f25, "skb_queue_purge_reason" },
	{ 0xda5315b9, "l2tp_udp_encap_recv" },
	{ 0x888315c9, "kfree_skb_reason" },
	{ 0xb6557694, "skb_recv_datagram" },
	{ 0xbd464471, "skb_copy_datagram_iter" },
	{ 0xc8284f4d, "l2tp_tunnel_get" },
	{ 0xcf014154, "l2tp_tunnel_create" },
	{ 0x19f61b6e, "l2tp_tunnel_inc_refcount" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core,l2tp_netlink,ppp_generic,pppox");


MODULE_INFO(srcversion, "0FFC3C163D829CA91C0AB79");
