#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e141721, "xprt_pin_rqst" },
	{ 0x35277fd0, "ib_map_mr_sg" },
	{ 0xf25a58c4, "rdma_rw_ctx_wrs" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7117dc64, "release_pages" },
	{ 0x75fb79fa, "perf_trace_run_bpf_submit" },
	{ 0x5c7a6e8e, "__ib_alloc_cq_any" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x642d4388, "svc_xprt_deferred_close" },
	{ 0x166bdb1d, "bpf_trace_run5" },
	{ 0x26990dfa, "xprt_release_xprt_cong" },
	{ 0xf4a9c774, "svc_xprt_copy_addrs" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7e8e2cbe, "xdr_init_decode" },
	{ 0x2862b7a3, "svc_xprt_received" },
	{ 0xe3f1fe13, "rdma_set_afonly" },
	{ 0xdd4a38dc, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3b7e5de3, "rdma_unlock_handler" },
	{ 0x8b203e77, "xprt_unregister_transport" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xac5c0fab, "rdma_listen" },
	{ 0x6722f24d, "rdma_destroy_qp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9855d809, "bpf_trace_run1" },
	{ 0x37996194, "ib_destroy_qp_user" },
	{ 0xefc1224a, "dma_sync_single_for_cpu" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0x52734165, "svc_xprt_init" },
	{ 0xcb325fc5, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4b8d9565, "ib_drain_rq" },
	{ 0xf85c9adb, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcfdfd17a, "svc_unreg_xprt_class" },
	{ 0xcb04c19f, "rdma_connect" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x66ac7fa0, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x49d503b3, "bpf_trace_run3" },
	{ 0xf484903a, "xprt_wake_pending_tasks" },
	{ 0x28f33ced, "xprt_unpin_rqst" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x71b7982f, "rpcb_getport_async" },
	{ 0xcfad5be3, "xprt_add_backlog" },
	{ 0xcd41acd9, "xprt_alloc" },
	{ 0xb33f3ca0, "ib_dma_virt_map_sg" },
	{ 0x656ee6ad, "trace_event_buffer_reserve" },
	{ 0x8f50f730, "xprt_request_get_cong" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x338349aa, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x78b0ce3f, "rdma_destroy_id" },
	{ 0xc45b7955, "xprt_free" },
	{ 0x13333e4d, "xprt_force_disconnect" },
	{ 0x80d87178, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe076e46e, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0x7a14e39f, "rdma_accept" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf5779937, "xprt_unlock_connect" },
	{ 0xad9bb2c7, "xprt_register_transport" },
	{ 0x76a44b0a, "svc_reg_xprt_class" },
	{ 0xdd47e06f, "svc_xprt_enqueue" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x858e6dde, "seq_puts" },
	{ 0xb3bbf01a, "ib_drain_qp" },
	{ 0x88c82ac5, "ib_dealloc_pd_user" },
	{ 0x7ce49611, "dma_unmap_sg_attrs" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xe5c60bd2, "percpu_counter_set" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe51bf9c5, "svc_xprt_close" },
	{ 0x2751a558, "xprt_wait_for_reply_request_def" },
	{ 0x9555956a, "svc_pool_wake_idle_thread" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x5226232d, "xdr_init_encode" },
	{ 0x3328e92a, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaaec6340, "xprt_lookup_rqst" },
	{ 0x6fd34252, "xprt_reconnect_delay" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x42e4e3ef, "xprt_reconnect_backoff" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0xaf2b8221, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x495357bf, "rdma_rw_ctx_init" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7622cd2f, "try_module_get" },
	{ 0xc8534972, "xprt_write_space" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x61f1964b, "bpf_trace_run4" },
	{ 0xda225d7a, "xprt_free_slot" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x6b5ce3d9, "rdma_rw_ctx_destroy" },
	{ 0xd98eb919, "xprt_release_rqst_cong" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4358130e, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xddf4995f, "trace_raw_output_prep" },
	{ 0xf8321077, "xprt_disconnect_done" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5bca9d1f, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3901c311, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x232cc8f7, "dma_unmap_page_attrs" },
	{ 0x528a54ae, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe5504546, "rdma_resolve_addr" },
	{ 0x129e528d, "dma_sync_single_for_device" },
	{ 0x8cd5b2d5, "xprt_reserve_xprt_cong" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xa429e1a9, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xeabf9002, "xprt_get" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x3029de32, "__put_devmap_managed_page_refs" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x2e297a02, "xprt_wait_for_buffer_space" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xa61becd8, "ib_dereg_mr_user" },
	{ 0xd95ad42a, "bpf_trace_run2" },
	{ 0x783d6ccc, "xprt_wake_up_backlog" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x10277a38, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x5288494c, "xprt_complete_rqst" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xaafbce8, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xed682244, "xprt_put" },
	{ 0x94894af2, "dev_driver_string" },
	{ 0x736debdf, "trace_event_buffer_commit" },
	{ 0x3f590c31, "ib_drain_sq" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c67be8f, "dma_map_page_attrs" },
	{ 0xb5b481ab, "xprt_lock_connect" },
	{ 0x51bf94c7, "rdma_lock_handler" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8164ca78, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0xfc039b84, "xprt_alloc_slot" },
	{ 0xa916b694, "strnlen" },
	{ 0x16a21421, "kmalloc_node_trace" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0xf919f8bf, "rdma_resolve_route" },
	{ 0xb9d025c9, "llist_del_first" },
	{ 0x92448ee, "module_put" },
	{ 0x74fd7da2, "rdma_bind_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x939923d8, "svc_xprt_put" },
	{ 0x657dfab3, "rdma_create_qp" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,ib_core,rdma_cm");


MODULE_INFO(srcversion, "C80AAAD90E5515B4160A5D5");
